Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/webhooks/{webhookId}{
"object": "webhook",
"created_at": "2024-04-30T08:13:55.789Z",
"id": "wh_Fk1HzL9lqC1lpuIFxp3TShB4",
"events": [
"redemption.succeeded"
],
"target_url": "your_url",
"active": false
}Retrieves a webhook configuration.
๐ Webhook Documentation
Read Introduction to webhooks article to learn how webhooks work in Voucherify.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/webhooks/{webhookId}{
"object": "webhook",
"created_at": "2024-04-30T08:13:55.789Z",
"id": "wh_Fk1HzL9lqC1lpuIFxp3TShB4",
"events": [
"redemption.succeeded"
],
"target_url": "your_url",
"active": false
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Provide the unique identifier of the webhook configuration.
"wh_Fk1HzL9lqC1lpuIFxp3TShB4"
Returns the webhook configuration.
Response body schema for GET /management/v1/projects/{projectId}/webhooks/{webhookId}.
Unique identifier of the webhook.
"wh_i45Uez36Uz8XNW6PXC0eyGmb"
The type of the object represented by JSON.
webhook Timestamp representing the date and time when the webhook configuration was created. The value for this parameter is shown in the ISO 8601 format.
"2024-01-02T08:31:46.562Z"
URL address that receives webhooks.
Lists the events that trigger webhook sendout.
business_validation_rule.assignment.created, business_validation_rule.assignment.deleted, business_validation_rule.created, business_validation_rule.deleted, business_validation_rule.updated, campaign.created, campaign.deleted, campaign.disabled, campaign.enabled, campaign.earning_rule.assigned, campaign.earning_rule.deleted, campaign.earning_rule.disabled, campaign.earning_rule.enabled, campaign.earning_rule.updated, campaign.loyalty_tier.created, campaign.loyalty_tier.deleted, campaign.loyalty_tier.updated, campaign.promotion_stack.created, campaign.promotion_stack.updated, campaign.promotion_tier.created, campaign.promotion_tier.deleted, campaign.promotion_tier.disabled, campaign.promotion_tier.enabled, campaign.promotion_tier.updated, campaign.referral_tier.created, campaign.referral_tier.deleted, campaign.referral_tier.updated, campaign.reward.assignment.created, campaign.reward.assignment.deleted, campaign.reward.assignment.updated, campaign.updated, campaign.vouchers.aded, campaign.vouchers.generation.completed, campaign.vouchers.generation.failed, campaign.vouchers.generation.started, customer.confirmed, customer.created, customer.deleted, customer.rewarded, customer.rewarded.loyalty_points, publication.succeeded, redemption.failed, redemption.rollback.failed, redemption.rollback.succeeded, redemption.succeeded, voucher.created, voucher.deleted, voucher.disabled, voucher.enabled, voucher.gift.balance_aded, voucher.gift.transaction.created, voucher.loyalty_card.pending_points.activated, voucher.loyalty_card.pending_points.aded, voucher.loyalty_card.pending_points.canceled, voucher.loyalty_card.pending_points.updated, voucher.loyalty_card.points_aded, voucher.loyalty_card.points_expired, voucher.loyalty_card.transaction.created, voucher.published, voucher.updated Determines if the webhook configuration is active.
Was this page helpful?